Subject: compile problem

From: anri priede <[email-masked]>
Date: Sat, 27 Jan 2001 00:28:51 +0200

Hi all,

I got fwtk2.1 compile problem on SGI running IRIX 6.5.10f
Please find attached text file with shell output.
I am not a programmer, so any directions how to get it
compiled will be highly appreciated.

Maybe somebody has already compiled fwtk2.1 for SGI?

Thanks in advance.

Anri Priede

Grafika-6 64% gmake
for a in lib auth smap smapd netacl plug-gw ftp-gw tn-gw rlogin-gw http-gw ; do \
        ( cd $a; echo all: `pwd`; gmake all ); \
done
all: /usr/people/anri/fwtk2.1/fwtk/lib
gmake[1]: Entering directory `/usr/people/anri/fwtk2.1/fwtk/lib'
gcc -I.. -g    -c -o config.o config.c
gcc -I.. -g    -c -o daemon.o daemon.c
gcc -I.. -g    -c -o pname.o pname.c
pname.c: In function `peername':
pname.c:53: warning: passing arg 2 of `strncpy' makes pointer from integer without a cast
gcc -I.. -g    -c -o nama.o nama.c
gcc -I.. -g    -c -o mapu.o mapu.c
gcc -I.. -g    -c -o mapg.o mapg.c
gcc -I.. -g    -c -o conn.o conn.c
gcc -I.. -g    -c -o hnam.o hnam.c
gcc -I.. -g    -c -o mktemp.o mktemp.c
gcc -I.. -g    -c -o rand.o rand.c
gcc -I.. -g    -c -o enargv.o enargv.c
gcc -I.. -g    -c -o alldi.o alldi.c
gcc -I.. -g    -c -o lock.o lock.c
gcc -I.. -g    -c -o urg.o urg.c
gcc -I.. -g    -c -o syslog.o syslog.c
gcc -I.. -g    -c -o signal.o signal.c
gcc -I.. -g    -c -o getp.o getp.c
gcc -I.. -g    -c -o getenv.o getenv.c
gcc -I.. -g    -c -o setenv.o setenv.c
gcc -I.. -g    -c -o strerror.o strerror.c
ar rcv ../libfwall.a config.o daemon.o pname.o nama.o mapu.o mapg.o conn.o hnam.o mktemp.o rand.o enargv.o alldi.o lock.o urg.o syslog.o signal.o getp.o getenv.o setenv.o strerror.o 
a - config.o
a - daemon.o
a - pname.o
a - nama.o
a - mapu.o
a - mapg.o
a - conn.o
a - hnam.o
a - mktemp.o
a - rand.o
a - enargv.o
a - alldi.o
a - lock.o
a - urg.o
a - syslog.o
a - signal.o
a - getp.o
a - getenv.o
a - setenv.o
a - strerror.o
ranlib ../libfwall.a
gmake[1]: ranlib: Command not found
gmake[1]: *** [../libfwall.a] Error 127
gmake[1]: Leaving directory `/usr/people/anri/fwtk2.1/fwtk/lib'
all: /usr/people/anri/fwtk2.1/fwtk/auth
gmake[1]: Entering directory `/usr/people/anri/fwtk2.1/fwtk/auth'
gcc -I.. -g   -c cliio.c
ar rcv ../libauth.a cliio.o
a - cliio.o
ranlib ../libauth.a
gmake[1]: ranlib: Command not found
gmake[1]: *** [../libauth.a] Error 127
gmake[1]: Leaving directory `/usr/people/anri/fwtk2.1/fwtk/auth'
all: /usr/people/anri/fwtk2.1/fwtk/smap
gmake[1]: Entering directory `/usr/people/anri/fwtk2.1/fwtk/smap'
gcc -I.. -g    -c -o smap.o smap.c
gcc -I.. -g    -c -o arpadate.o arpadate.c
gcc -g -o smap smap.o arpadate.o ../libfwall.a 
ld32: WARNING 85: definition of signal in ../libfwall.a(signal.o) preempts that definition in /usr/lib32/mips3/libc.so.
gmake[1]: Leaving directory `/usr/people/anri/fwtk2.1/fwtk/smap'
all: /usr/people/anri/fwtk2.1/fwtk/smapd
gmake[1]: Entering directory `/usr/people/anri/fwtk2.1/fwtk/smapd'
gcc -DPARSEADDR -I.. -g    -c -o smapd.o smapd.c
gcc -g -o smapd smapd.o ../libfwall.a 
ld32: WARNING 85: definition of signal in ../libfwall.a(signal.o) preempts that definition in /usr/lib32/mips3/libc.so.
gmake[1]: Leaving directory `/usr/people/anri/fwtk2.1/fwtk/smapd'
all: /usr/people/anri/fwtk2.1/fwtk/netacl
gmake[1]: Entering directory `/usr/people/anri/fwtk2.1/fwtk/netacl'
gcc -I.. -g    -c -o netacl.o netacl.c
gcc -g -o netacl netacl.o ../libfwall.a 
ld32: WARNING 85: definition of signal in ../libfwall.a(signal.o) preempts that definition in /usr/lib32/mips3/libc.so.
gmake[1]: Leaving directory `/usr/people/anri/fwtk2.1/fwtk/netacl'
all: /usr/people/anri/fwtk2.1/fwtk/plug-gw
gmake[1]: Entering directory `/usr/people/anri/fwtk2.1/fwtk/plug-gw'
gcc -I.. -g    -c -o plug-gw.o plug-gw.c
gcc -g -o plug-gw plug-gw.o ../libfwall.a 
ld32: WARNING 85: definition of signal in ../libfwall.a(signal.o) preempts that definition in /usr/lib32/mips3/libc.so.
ld32: WARNING 85: definition of strerror in ../libfwall.a(strerror.o) preempts that definition in /usr/lib32/mips3/libc.so.
chmod 755 plug-gw
gmake[1]: Leaving directory `/usr/people/anri/fwtk2.1/fwtk/plug-gw'
all: /usr/people/anri/fwtk2.1/fwtk/ftp-gw
gmake[1]: Entering directory `/usr/people/anri/fwtk2.1/fwtk/ftp-gw'
gcc -I.. -g    -c -o ftp-gw.o ftp-gw.c
gcc -g -o ftp-gw ftp-gw.o ../libauth.a ../libfwall.a 
ld32: WARNING 85: definition of signal in ../libfwall.a(signal.o) preempts that definition in /usr/lib32/mips3/libc.so.
ld32: WARNING 85: definition of strerror in ../libfwall.a(strerror.o) preempts that definition in /usr/lib32/mips3/libc.so.
gmake[1]: Leaving directory `/usr/people/anri/fwtk2.1/fwtk/ftp-gw'
all: /usr/people/anri/fwtk2.1/fwtk/tn-gw
gmake[1]: Entering directory `/usr/people/anri/fwtk2.1/fwtk/tn-gw'
gcc -I.. -g    -c -o tn-gw.o tn-gw.c
gcc -g -o tn-gw tn-gw.o ../libfwall.a ../libauth.a 
ld32: WARNING 85: definition of signal in ../libfwall.a(signal.o) preempts that definition in /usr/lib32/mips3/libc.so.
ld32: WARNING 85: definition of strerror in ../libfwall.a(strerror.o) preempts that definition in /usr/lib32/mips3/libc.so.
gmake[1]: Leaving directory `/usr/people/anri/fwtk2.1/fwtk/tn-gw'
all: /usr/people/anri/fwtk2.1/fwtk/rlogin-gw
gmake[1]: Entering directory `/usr/people/anri/fwtk2.1/fwtk/rlogin-gw'
gcc -I.. -g    -c -o rlogin-gw.o rlogin-gw.c
gcc -g -o rlogin-gw rlogin-gw.o ../libauth.a ../libfwall.a 
ld32: WARNING 85: definition of signal in ../libfwall.a(signal.o) preempts that definition in /usr/lib32/mips3/libc.so.
ld32: WARNING 85: definition of strerror in ../libfwall.a(strerror.o) preempts that definition in /usr/lib32/mips3/libc.so.
gmake[1]: Leaving directory `/usr/people/anri/fwtk2.1/fwtk/rlogin-gw'
all: /usr/people/anri/fwtk2.1/fwtk/http-gw
gmake[1]: Entering directory `/usr/people/anri/fwtk2.1/fwtk/http-gw'
gcc -I.. -g    -c -o hmain.o hmain.c
In file included from /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/stdarg.h:27,
                 from /usr/include/syslog.h:34,
                 from http-gw.h:38,
                 from hmain.c:28:
/usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h:121: warning: `va_start' redefined
/usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h:161: warning: this is the location of the previous definition
gcc -I.. -g    -c -o http-gw.o http-gw.c
In file included from /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/stdarg.h:27,
                 from /usr/include/syslog.h:34,
                 from http-gw.h:38,
                 from http-gw.c:19:
/usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h:121: warning: `va_start' redefined
/usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h:161: warning: this is the location of the previous definition
gcc -I.. -g    -c -o ftp.o ftp.c
In file included from /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/stdarg.h:27,
                 from /usr/include/syslog.h:34,
                 from http-gw.h:38,
                 from ftp.c:15:
/usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h:121: warning: `va_start' redefined
/usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h:161: warning: this is the location of the previous definition
gcc -I.. -g    -c -o gof2html.o gof2html.c
In file included from /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/stdarg.h:27,
                 from /usr/include/syslog.h:34,
                 from http-gw.h:38,
                 from gof2html.c:12:
/usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h:121: warning: `va_start' redefined
/usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h:161: warning: this is the location of the previous definition
gcc -I.. -g    -c -o auth.o auth.c
In file included from /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/stdarg.h:27,
                 from /usr/include/syslog.h:34,
                 from http-gw.h:38,
                 from auth.c:12:
/usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h:121: warning: `va_start' redefined
/usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h:161: warning: this is the location of the previous definition
gcc -I.. -g    -c -o gio.o gio.c
In file included from /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/stdarg.h:27,
                 from /usr/include/syslog.h:34,
                 from http-gw.h:38,
                 from gio.c:14:
/usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h:121: warning: `va_start' redefined
/usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h:161: warning: this is the location of the previous definition
gcc -I.. -g    -c -o noproxy.o noproxy.c
In file included from /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/stdarg.h:27,
                 from /usr/include/syslog.h:34,
                 from http-gw.h:38,
                 from noproxy.c:9:
/usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h:121: warning: `va_start' redefined
/usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h:161: warning: this is the location of the previous definition
gcc -I.. -g    -c -o error.o error.c
In file included from /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/stdarg.h:27,
                 from /usr/include/syslog.h:34,
                 from http-gw.h:38,
                 from error.c:10:
/usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h:121: warning: `va_start' redefined
/usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h:161: warning: this is the location of the previous definition
error.c:195: macro `va_start' used with just one arg
gmake[1]: *** [error.o] Error 1
gmake[1]: Leaving directory `/usr/people/anri/fwtk2.1/fwtk/http-gw'
gmake: *** [all] Error 2
Grafika-6 65%